{% extends "base.html" %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block content %}
    <div class="container">
        {% if tag %}
            <div class="row">
                <div class="col-md-12">
                    <p>Viewing all portfolios by <span class="outline">{{ tag }}</span></p>
                </div>
            </div>
        {% endif %}

        {% if page.get_child_tags %}
            <ul class="portfolio-tags tags list-inline">
                {% for tag in page.get_child_tags %}
                    <li><a href="{{ tag.url }}">{{ tag }}</a></li>
                {% endfor %}
            </ul>
        {% endif %}

        <div class="row row-eq-height portfolio-list">
            {% if posts %}
                {% for portfolio in posts %}
                    <li class="col-xs-12 col-sm-6 col-md-3 portfolio-list-item">
                        <a href="{% pageurl portfolio %}">
                            <div class="image">
                                {% image portfolio.image fill-850x450-c50 as image %}
                                <img src="{{ image.url }}" width="{{ image.width }}" height="{{ image.height }}" alt="{{ image.alt }}" class="" />
                            </div>
                            <div class="text">
                                <h2 class="portfolio-list-title">{{ portfolio.title }}</h2>
                                <h3 class="portfolio-list-title">{{ portfolio.subtitle }}</h3>
                                <p>{{ portfolio.project|truncatewords:15 }}</p>
                            </div>
                            <div class="small footer">
                                {% if portfolio.date_published %}
                                    {{ portfolio.date_published }}
                                {% endif %}
                            </div>
                        </a>
                    </li>
                {% endfor %}
            {% else %}
                <div class="col-md-12">
                    <p>Oh, snap. Looks like we were too busy coding to write any portfolios. Sorry.</p>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock content %}
